Subject: Racketty-coon-chile

From: [email-masked]
Date: Thu, 20 Jun 2002 09:57:24 EDT

The Possum had that right. I've just cleaned up a mess in my garage which 
was accompanied by footprints right out of the Know Your Critters section of 
Boys' Life. So, Pierre, do we have a word for this beast already -- a nice 
lujvo about ring-tailed mischievous cat-dog or something from the indigenous 
arakun (rkuni? -- never mind the confusion allowing initial rk would cause) 
or something from Procyon lotor (as near as I can remember all of the above)?